;################################################################################
;#										#
;# libi2c - I2C library for ATMega controllers V0.10				#
;# copyright (c) 2007 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;# This library is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU Lesser General Public			#
;# License as published by the Free Software Foundation; either			#
;# version 2 of the License, or (at your option) any later version.		#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

.macro libi2c_init
    call	libi2c_initl
.endm

.macro libi2c_read
    .set	use_libi2c_read = 1
    call	libi2c_read
.endm

.macro libi2c_start
    call	libi2c_start
.endm

.macro libi2c_stop
    call	libi2c_stop
.endm

.macro libi2c_rbyte
    call	libi2c_rbyte
.endm

.macro libi2c_rbyten
    call	libi2c_rbyten
.endm

.macro libi2c_wbyte
    call	libi2c_wbyte
.endm


.macro libi2c_write
    .set	use_libi2c_write = 1
    call	libi2c_write
.endm

.macro libi2c_rpage
    .set	use_libi2c_rpage = 1
    call	libi2c_rpage
.endm

.macro libi2c_wpage
    .set	use_libi2c_wpage = 1
    call	libi2c_wpage
.endm

.macro libi2c_rlm75
    .set	use_libi2c_lm75 = 1
    call	libi2c_rlm75
.endm
